/* include/openh323buildopts.h.  Generated from openh323buildopts.h.in by configure.  */
/*
 * openh323buildopts.h
 *
 * Build options generated by the configure script.
 *
 * Portable Windows Library
 *
 * Copyright (c) 2003     Equivalence Pty. Ltd.
 * Copyright (c) 20007-11 ISVO(Asia) Pte Ltd.
 * 
 *
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.0 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific language governing rights and limitations
 * under the License.
 *
 * The Original Code is Portable Windows Library.
 *
 * The Initial Developer of the Original Code is Equivalence Pty. Ltd.
 *
 * Contributor(s): ______________________________________.
 *
 * $Id: openh323buildopts.h.in,v 1.26 2011/07/30 04:10:13 shorne Exp $
 *
 */

#ifndef _OPENH323_BUILDOPTS_H
#define _OPENH323_BUILDOPTS_H

#include <ptbuildopts.h>

#if PTLIB_MAJOR == 2 && PTLIB_MINOR == 6
     #define PTLIB_VER 260
#endif
#if PTLIB_MAJOR == 2 && PTLIB_MINOR == 8
     #define PTLIB_VER 280
#endif
#if PTLIB_MAJOR == 2 && PTLIB_MINOR == 9
     #define PTLIB_VER 290
#endif
#if PTLIB_MAJOR == 2 && PTLIB_MINOR == 10
     #define PTLIB_VER 2100
#endif
#if PTLIB_MAJOR == 2 && PTLIB_MINOR >= 11
     #define PTLIB_VER 2110
#endif


#if 0 // PTLIB_VER >= 2110
#define H323_STLDICTIONARY  1
#endif

/////////////////////////////////////////////////
//
// Major options
//

#define OPENH323_MAJOR 1
#define OPENH323_MINOR 23
#define OPENH323_BUILD 0
#define OPENH323_VERSION "1.23.0"

#define H323_AUDIO_CODECS 1

#ifdef P_VIDEO
#define H323_VIDEO 1
#endif


//////////////////////////////////////////////////

#ifdef H323_AUDIO_CODECS

/* #undef H323_EMBEDDED_GSM */

#endif // H323_AUDIO_CODECS

/////////////////////////////////////////////////
//
// Various item support
//

/* #undef H323_AEC */
#define H323_T38 1
#define H323_T120 1
#define H323_H224 1
#define H323_H230 1
#ifdef P_VIDEO
#define H323_H239 1
#endif
#define H323_H248 1
#define H323_H249 1
#define H323_H341 1
#ifdef P_LDAP
#define H323_H350 1
#endif
#define H323_H450 1

#define H323_H460 1
#ifdef H323_H460
#define H323_H4609 1
#if (PTLIB_VER > 260) && (P_STUN)
/*     #undef H323_H46017 */
/* 	#undef H323_H46018 */
/* 	#undef H323_H46023 */
	#if defined(H323_H46018) && defined(H323_H46023) && defined(P_SSL)
		#define H323_H46024A 1
	#endif
	#if defined(H323_H46018) && defined(H323_H46023)
		#define H323_H46024B 1
	#endif
	#if defined(H323_H46023) && (WINVER > 0x500)
		#define H323_UPnP 1
	#endif
#endif
#define H323_H460P 1
#endif

#define H323_H501 1
#if (PTLIB_VER > 260) && (P_STUN)
	#define H323_GNUGK 1
#endif
#define H323_FILE 1

/* #undef H323_SIGNAL_AGGREGATE */
/* #undef H323_RTP_AGGREGATE */

#endif

// End Of File ///////////////////////////////////////////////////////////////
